Index: /code/branches/gametypes/src/orxonox/OrxonoxPrereqs.h
===================================================================
--- /code/branches/gametypes/src/orxonox/OrxonoxPrereqs.h	(revision 3019)
+++ /code/branches/gametypes/src/orxonox/OrxonoxPrereqs.h	(revision 3020)
@@ -139,4 +139,5 @@
     class MovableEntity;
     class Sublevel;
+    class ForceField;
 
     class Model;
@@ -163,4 +164,6 @@
     class Pawn;
     class SpaceShip;
+    class TeamBaseMatchBase;
+    class Destroyer;
 
     class Item;
@@ -173,4 +176,5 @@
     class EventTrigger;
     class PlayerTrigger;
+    class CheckPoint;
 
     class WeaponSystem;
@@ -202,4 +206,7 @@
     class Deathmatch;
     class TeamDeathmatch;
+    class Asteroids;
+    class TeamBaseMatch;
+    class UnderAttack;
     class Pong;
 
@@ -234,4 +241,5 @@
     class HUDSpeedBar;
     class HUDHealthBar;
+    class HUDTimer;
     class InGameConsole;
     class Notification;
Index: /code/branches/gametypes/src/orxonox/objects/gametypes/Asteroids.cc
===================================================================
--- /code/branches/gametypes/src/orxonox/objects/gametypes/Asteroids.cc	(revision 3019)
+++ /code/branches/gametypes/src/orxonox/objects/gametypes/Asteroids.cc	(revision 3020)
@@ -21,5 +21,5 @@
  *
  *   Author:
- *      Aurelian
+ *      Aurelian Jaggi
  *   Co-authors:
  *      ...
@@ -50,5 +50,5 @@
     {
         SUPER(Asteroids, tick, dt);
- 
+
         if (firstCheckpointReached_ && !this->timerIsActive_)
         {
Index: /code/branches/gametypes/src/orxonox/objects/gametypes/Asteroids.h
===================================================================
--- /code/branches/gametypes/src/orxonox/objects/gametypes/Asteroids.h	(revision 3019)
+++ /code/branches/gametypes/src/orxonox/objects/gametypes/Asteroids.h	(revision 3020)
@@ -21,5 +21,5 @@
  *
  *   Author:
- *      Aurelian
+ *      Aurelian Jaggi
  *   Co-authors:
  *      ...
@@ -46,5 +46,5 @@
             virtual void start();
             virtual void end();
-           
+
             inline void firstCheckpointReached(bool reached)
               { this->firstCheckpointReached_ = reached; }
Index: /code/branches/gametypes/src/orxonox/objects/gametypes/TeamBaseMatch.cc
===================================================================
--- /code/branches/gametypes/src/orxonox/objects/gametypes/TeamBaseMatch.cc	(revision 3019)
+++ /code/branches/gametypes/src/orxonox/objects/gametypes/TeamBaseMatch.cc	(revision 3020)
@@ -20,23 +20,20 @@
  *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
  *
- *   Author: Val Mikos
+ *   Author:
+ *      Val Mikos
+ *   Co-authors:
+ *      ...
+ *
  */
- 
- 
 
 #include "TeamBaseMatch.h"
 
-
-#include "objects/worldentities/pawns/TeamBaseMatchBase.h" 
+#include "objects/worldentities/pawns/TeamBaseMatchBase.h"
 #include "core/CoreIncludes.h"
-#include "core/XMLPort.h"
-
- 
+
 namespace orxonox
 {
     CreateUnloadableFactory(TeamBaseMatch);
 
-
-    // Timer and Creator
     TeamBaseMatch::TeamBaseMatch(BaseObject* creator) : TeamDeathmatch(creator)
     {
@@ -49,29 +46,4 @@
         this->pointsTeam2_ = 0;
     }
-     
-    
-    // set the Bases positions using XML
-    void TeamBaseMatch::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-        SUPER(TeamBaseMatch, XMLPort, xmlelement, mode);
-
-//        XMLPortObject(TeamBaseMatch, WorldEntity, setNeutralshape, getNeturalshape, xmlelement, mode); 
-//        XMLPortObject(TeamBaseMatch, WorldEntity, setTeam1shape, getTeam1shape, xmlelement, mode);
-//        XMLPortObject(TeamBaseMatch, WorldEntity, setTeam2shape, getTeam2shape, xmlelement, mode);
-
-//        XMLPortObject(TeamBaseMatch, TeamBaseMatchBase,  addBase, getBase, xmlelement, mode);
-    }
-    
-/*
-    // pretty useless at the moment...should be implemented in the TeamBaseMatchBase class headerfile
-    // State of the Base (controlled, uncontrolled)
-    int TeamBaseMatch::baseState(Base)
-    {
-        if(Enum state_==uncontrolled) return 0;
-        if(Enum state_==controlTeam1) return 1;
-        if(Enum state_==controlTeam2) return 2;
-    }
-*/  
-
 
     // Change the control of the defeated base and respawn it with its initial health
@@ -117,8 +89,8 @@
         {
             std::map<PlayerInfo*, int>::const_iterator it1 = this->teamnumbers_.find(pawn1->getPlayer());
-	    int teamnrbase = -1;
-	    int teamnrplayer = getTeam(pawn1->getPlayer());
-
-	    switch(base->getState())
+            int teamnrbase = -1;
+            int teamnrplayer = getTeam(pawn1->getPlayer());
+
+            switch (base->getState())
             {
                 case BaseState::controlTeam1:
@@ -130,11 +102,9 @@
                 case BaseState::uncontrolled:
                 default:
-		    teamnrbase = -1;
-	    }
-
-
-	    if(teamnrbase == teamnrplayer){
-		return false;
-	    }
+                    teamnrbase = -1;
+            }
+
+            if (teamnrbase == teamnrplayer)
+                return false;
         }
         return true;
@@ -155,5 +125,5 @@
     void TeamBaseMatch::showPoints()
     {
-	
+
 	COUT(0) << "Points standing:" << std::endl << "Team 1: "<< pointsTeam1_ << std::endl << "Team 2: " << pointsTeam2_ << std::endl;
 	if(pointsTeam1_ >=1700) COUT(0) << "Team 1 is near victory!" << std::endl;
@@ -205,5 +175,5 @@
         {
             this->pointsTeam2_ += points;
-        }      
+        }
 
         this->endGame();
@@ -227,6 +197,6 @@
         return 0;
     }
-    
+
 }
 
- 
+
Index: /code/branches/gametypes/src/orxonox/objects/gametypes/TeamBaseMatch.h
===================================================================
--- /code/branches/gametypes/src/orxonox/objects/gametypes/TeamBaseMatch.h	(revision 3019)
+++ /code/branches/gametypes/src/orxonox/objects/gametypes/TeamBaseMatch.h	(revision 3020)
@@ -21,7 +21,7 @@
  *
  *   Author:
- *      Fabian 'x3n' Landau
+ *      Val Mikos
  *   Co-authors:
- *      Val Mikos
+ *      ...
  *
  */
@@ -32,56 +32,32 @@
 #include "OrxonoxPrereqs.h"
 
-#include <vector>
 #include <set>
-
 #include "TeamDeathmatch.h"
 #include "tools/Timer.h"
 
-
-
 namespace orxonox
 {
-    class TeamBaseMatchBase;
-
-
     class _OrxonoxExport TeamBaseMatch : public TeamDeathmatch
     {
         public:
             TeamBaseMatch(BaseObject* creator);
-            
-            // if class closes, close everything           
             virtual ~TeamBaseMatch() {}
-            
-            
-            // set Base positions with XML 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-                        
+
             virtual bool allowPawnDeath(Pawn* victim, Pawn* originator = 0);
+            virtual bool allowPawnDamage(Pawn* victim, Pawn* originator);
 
-	    virtual bool allowPawnDamage(Pawn* victim, Pawn* originator);
-
-
-
-            // give information about the state of a base 
-            // (this should be pretty useless atm)
-//            virtual int baseState(Base);
-            
-	    virtual void playerScored(PlayerInfo* player);
+            virtual void playerScored(PlayerInfo* player);
             virtual void showPoints();
             virtual void endGame();
-            
+
             void addBase(TeamBaseMatchBase* base);
             TeamBaseMatchBase* getBase(unsigned int index) const;
 
             void addTeamPoints(int team, int points);
-            
-            
-            
-            
+
         protected:
             void winPoints();
 
-
-	    bool pawnsAreInTheSameTeam(Pawn* pawn1, TeamBaseMatchBase* base);
+            bool pawnsAreInTheSameTeam(Pawn* pawn1, TeamBaseMatchBase* base);
             using TeamDeathmatch::pawnsAreInTheSameTeam;
 
@@ -89,5 +65,5 @@
             Timer<TeamBaseMatch> scoreTimer_;
             Timer<TeamBaseMatch> outputTimer_;
-            
+
             //points for each team
             int pointsTeam1_;
Index: /code/branches/gametypes/src/orxonox/objects/gametypes/UnderAttack.cc
===================================================================
--- /code/branches/gametypes/src/orxonox/objects/gametypes/UnderAttack.cc	(revision 3019)
+++ /code/branches/gametypes/src/orxonox/objects/gametypes/UnderAttack.cc	(revision 3020)
@@ -21,5 +21,5 @@
  *
  *   Author:
- *      Fabian 'x3n' Landau
+ *      Matthias Mock
  *   Co-authors:
  *      ...
@@ -32,9 +32,9 @@
 #include "core/CoreIncludes.h"
 #include "core/ConfigValueIncludes.h"
-#include "objects/Teamcolourable.h"
-#include "objects/worldentities/TeamSpawnPoint.h"
 #include "util/Convert.h"
+#include "network/Host.h"
 
-#include "network/Host.h"
+#include "objects/worldentities/pawns/Destroyer.h"
+
 namespace orxonox
 {
@@ -168,4 +168,3 @@
         }
     }
-
 }
Index: /code/branches/gametypes/src/orxonox/objects/gametypes/UnderAttack.h
===================================================================
--- /code/branches/gametypes/src/orxonox/objects/gametypes/UnderAttack.h	(revision 3019)
+++ /code/branches/gametypes/src/orxonox/objects/gametypes/UnderAttack.h	(revision 3020)
@@ -21,5 +21,5 @@
  *
  *   Author:
- *      Fabian 'x3n' Landau
+ *      Matthias Mock
  *   Co-authors:
  *      ...
@@ -32,6 +32,4 @@
 #include "OrxonoxPrereqs.h"
 
-#include <vector>
-#include "objects/worldentities/pawns/Destroyer.h"
 #include "TeamDeathmatch.h"
 #include "objects/worldentities/pawns/Pawn.h"
Index: /code/branches/gametypes/src/orxonox/objects/worldentities/ForceField.cc
===================================================================
--- /code/branches/gametypes/src/orxonox/objects/worldentities/ForceField.cc	(revision 3019)
+++ /code/branches/gametypes/src/orxonox/objects/worldentities/ForceField.cc	(revision 3020)
@@ -53,5 +53,5 @@
     {
       SUPER(ForceField, XMLPort, xmlelement, mode);
-    
+
       //For correct xml import use: position, direction, velocity, scale
 
@@ -60,12 +60,12 @@
       XMLPortParam(ForceField, "length"  , setLength  , getLength  , xmlelement, mode).defaultValues(2000);
     }
-  
+
     void ForceField::tick(float dt)
     {
-      
+
       for (ObjectList<MobileEntity>::iterator it = ObjectList<MobileEntity>::begin(); it != ObjectList<MobileEntity>::end(); ++it)
       {
-	
-        //calculate from 
+
+        //calculate from
         Vector3 directionVec = this->getOrientation() * WorldEntity::FRONT;
         directionVec.normalise();
@@ -81,5 +81,5 @@
           it->applyCentralForce(((diameter_ / 2 - distFromCenterVec) / (diameter_ / 2)) * directionVec * velocity_);
         }
-	
+
       }
   }
Index: /code/branches/gametypes/src/orxonox/objects/worldentities/pawns/Destroyer.cc
===================================================================
--- /code/branches/gametypes/src/orxonox/objects/worldentities/pawns/Destroyer.cc	(revision 3019)
+++ /code/branches/gametypes/src/orxonox/objects/worldentities/pawns/Destroyer.cc	(revision 3020)
@@ -21,5 +21,5 @@
  *
  *   Author:
- *      Fabian 'x3n' Landau
+ *      Matthias Mock
  *   Co-authors:
  *      ...
@@ -30,13 +30,5 @@
 #include "Destroyer.h"
 
-#include "BulletDynamics/Dynamics/btRigidBody.h"
-
-#include "util/Math.h"
-#include "util/Exception.h"
 #include "core/CoreIncludes.h"
-#include "core/ConfigValueIncludes.h"
-#include "core/Template.h"
-#include "core/XMLPort.h"
-#include "objects/items/Engine.h"
 #include "objects/gametypes/UnderAttack.h"
 
@@ -55,4 +47,3 @@
         }
     }
-
 }
Index: /code/branches/gametypes/src/orxonox/objects/worldentities/pawns/Destroyer.h
===================================================================
--- /code/branches/gametypes/src/orxonox/objects/worldentities/pawns/Destroyer.h	(revision 3019)
+++ /code/branches/gametypes/src/orxonox/objects/worldentities/pawns/Destroyer.h	(revision 3020)
@@ -21,5 +21,5 @@
  *
  *   Author:
- *      Fabian 'x3n' Landau
+ *      Matthias Mock
  *   Co-authors:
  *      ...
@@ -31,6 +31,4 @@
 
 #include "OrxonoxPrereqs.h"
-
-#include "LinearMath/btVector3.h"
 
 #include "SpaceShip.h"
Index: /code/branches/gametypes/src/orxonox/objects/worldentities/pawns/TeamBaseMatchBase.cc
===================================================================
--- /code/branches/gametypes/src/orxonox/objects/worldentities/pawns/TeamBaseMatchBase.cc	(revision 3019)
+++ /code/branches/gametypes/src/orxonox/objects/worldentities/pawns/TeamBaseMatchBase.cc	(revision 3020)
@@ -21,7 +21,7 @@
  *
  *   Author:
- *      Fabian 'x3n' Landau
+ *      Val Mikos
  *   Co-authors:
- *      Val Mikos
+ *      ...
  *
  */
@@ -74,5 +74,5 @@
         }
 
-        
+
         std::set<WorldEntity*> attachments = this->getAttachedObjects();
         for (std::set<WorldEntity*>::iterator it = attachments.begin(); it != attachments.end(); ++it)
Index: /code/branches/gametypes/src/orxonox/objects/worldentities/pawns/TeamBaseMatchBase.h
===================================================================
--- /code/branches/gametypes/src/orxonox/objects/worldentities/pawns/TeamBaseMatchBase.h	(revision 3019)
+++ /code/branches/gametypes/src/orxonox/objects/worldentities/pawns/TeamBaseMatchBase.h	(revision 3020)
@@ -21,18 +21,9 @@
  *
  *   Author:
- *      Fabian 'x3n' Landau
+ *      Val Mikos
  *   Co-authors:
- *      Val Mikos
+ *      ...
  *
  */
-
-
-
-// setState und getState functions declare here
-// TeamBaseMatchBase class 
-
-
-// save as TeamBaseMatchBase.h in objects/worldentities/pawns/TeamBaseMatchBase.h
-
 
 #ifndef _TeamBaseMatchBase_H__
@@ -61,22 +52,22 @@
             TeamBaseMatchBase(BaseObject* creator);
 
-            // if class closes, close everything  
+            // if class closes, close everything
             virtual ~TeamBaseMatchBase() {}
-	     
-	     
-	     
-            // Set the state of a base to whatever the argument of the function is 
+
+
+
+            // Set the state of a base to whatever the argument of the function is
             void setState(BaseState::Enum state)
             {
                 this->state_ = state;
                 this->changeTeamColour();
-	    }
+            }
 
 
-	    // Get the state of a base as a return value 
-	    BaseState::Enum getState()
-	    {
-	        return this->state_;
-	    }
+            // Get the state of a base as a return value
+            BaseState::Enum getState() const
+            {
+                return this->state_;
+            }
 
 
Index: /code/branches/gametypes/src/orxonox/objects/worldentities/triggers/CheckPoint.cc
===================================================================
--- /code/branches/gametypes/src/orxonox/objects/worldentities/triggers/CheckPoint.cc	(revision 3019)
+++ /code/branches/gametypes/src/orxonox/objects/worldentities/triggers/CheckPoint.cc	(revision 3020)
@@ -21,5 +21,5 @@
  *
  *   Author:
- *      Aurelian
+ *      Aurelian Jaggi
  *   Co-authors:
  *      ...
@@ -29,12 +29,9 @@
 #include "OrxonoxStableHeaders.h"
 #include "CheckPoint.h"
-#include "objects/gametypes/Asteroids.h"
-
-#include <OgreNode.h>
 
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
 
-#include "orxonox/objects/worldentities/ControllableEntity.h"
+#include "objects/gametypes/Asteroids.h"
 #include "orxonox/objects/worldentities/pawns/Pawn.h"
 
@@ -59,5 +56,5 @@
   {
   }
-  
+
   void CheckPoint::XMLPort(Element& xmlelement, XMLPort::Mode mode)
   {
@@ -68,5 +65,5 @@
     XMLPortParam(CheckPoint, "addtime", setAddTime, getAddTime, xmlelement, mode).defaultValues(30);
   }
-  
+
   void CheckPoint::triggered(bool bIsTriggered)
   {
@@ -75,5 +72,5 @@
     Asteroids* gametype = dynamic_cast<Asteroids*>(this->getGametype());
     if (gametype)
-    { 
+    {
         gametype->addTime(addTime_);
 
@@ -83,5 +80,5 @@
             gametype->firstCheckpointReached(true);
         }
-     
+
         if (bIsTriggered && bIsDestination_)
         {
Index: /code/branches/gametypes/src/orxonox/objects/worldentities/triggers/CheckPoint.h
===================================================================
--- /code/branches/gametypes/src/orxonox/objects/worldentities/triggers/CheckPoint.h	(revision 3019)
+++ /code/branches/gametypes/src/orxonox/objects/worldentities/triggers/CheckPoint.h	(revision 3020)
@@ -21,5 +21,5 @@
  *
  *   Author:
- *      Aurelian
+ *      Aurelian Jaggi
  *   Co-authors:
  *      ...
@@ -30,5 +30,4 @@
     @file
     @brief
-    Definition of the PlayerTrigger class.
 */
 
@@ -38,23 +37,16 @@
 #include "DistanceTrigger.h"
 
-#include <set>
-
-#include "core/ClassTreeMask.h"
-#include "core/BaseObject.h"
-
-#include "orxonox/objects/worldentities/ControllableEntity.h"
-
 namespace orxonox
 {
   class _OrxonoxExport CheckPoint : public DistanceTrigger
-    {
+  {
     public:
       CheckPoint(BaseObject* creator);
       virtual ~CheckPoint();
-        
+
       virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a CheckPoint object through XML.
 
     private:
-      virtual void triggered(bool bIsTriggered); 
+      virtual void triggered(bool bIsTriggered);
       virtual void notifyMaskUpdate();
 
@@ -63,6 +55,6 @@
 
       inline bool getDestination()
-        { return bIsDestination_; }	
-   
+        { return bIsDestination_; }
+
       inline void setFirst(bool isFirst)
         { this->bIsFirst_ = isFirst; }
@@ -76,5 +68,5 @@
       inline bool getAddTime()
         { return this->addTime_; }
-      
+
       bool bIsFirst_;
       bool bIsDestination_;
Index: /code/branches/gametypes/src/orxonox/overlays/hud/HUDTimer.cc
===================================================================
--- /code/branches/gametypes/src/orxonox/overlays/hud/HUDTimer.cc	(revision 3019)
+++ /code/branches/gametypes/src/orxonox/overlays/hud/HUDTimer.cc	(revision 3020)
@@ -30,12 +30,7 @@
 #include "HUDTimer.h"
 
-#include <OgreTextAreaOverlayElement.h>
-
 #include "core/CoreIncludes.h"
 #include "util/Convert.h"
-#include "objects/infos/GametypeInfo.h"
-#include "objects/infos/PlayerInfo.h"
 #include "objects/worldentities/ControllableEntity.h"
-#include "objects/worldentities/pawns/Spectator.h"
 #include "objects/gametypes/Gametype.h"
 
@@ -68,5 +63,5 @@
 
   void HUDTimer::changedOwner()
-  { 
+  {
     SUPER(HUDTimer, changedOwner);
 
Index: /code/branches/gametypes/src/orxonox/overlays/hud/HUDTimer.h
===================================================================
--- /code/branches/gametypes/src/orxonox/overlays/hud/HUDTimer.h	(revision 3019)
+++ /code/branches/gametypes/src/orxonox/overlays/hud/HUDTimer.h	(revision 3020)
@@ -49,5 +49,5 @@
       private:
         ControllableEntity* owner_;
-    };
+  };
 }
 #endif /* _HUDTimer_H__ */
